Kann ein Entwickler ein Plug-in verwenden, das in 2 Jahren nicht aktualisiert wurde?

Ich bin mit dieser Warnung auf ein paar WordPress Plugins auf http://wordpress.org/extend/plugins/ gestoßen:

Dieses Plugin wurde seit über 2 Jahren nicht mehr aktualisiert. Es wird möglicherweise nicht mehr gewartet oder unterstützt und möglicherweise Kompatibilitätsprobleme mit neueren Versionen von WordPress.

Gibt es eine Möglichkeit, ein Plugin so zu “adoptieren” oder zu “verifizieren”? Ich habe ein Plugin auf wordpress.org, also verstehe ich den process. Was ist der korrekte process, um ein altes oder möglicherweise verlassenes Plugin aktuell zu halten?

Solutions Collecting From Web of "Kann ein Entwickler ein Plug-in verwenden, das in 2 Jahren nicht aktualisiert wurde?"

Senden Sie eine E-Mail an plugins@wordpress.org und Sie können versuchen, mit dem ursprünglichen Autor des Plugins in Kontakt zu treten. Wenn der Autor nirgendwo zu finden ist und Sie zeigen können, dass Sie ihn auf dem neuesten Stand halten können, ist es möglich, dass Sie ihn übernehmen können.

Einer der Hauptgründe, warum github-Support derzeit nicht angeboten wird, ist, dass die Entwicklung von Plugins übernommen werden könnte. sehen:

http://make.wordpress.org/plugins/2012/08/18/93/

Ich stelle mir vor, per E-Mail an den Autor (cc’ing plugins@wordpress.org) zu schreiben, dass die Absicht, das Plugin auf den neuesten Stand zu bringen, ausreichen sollte. Wenn der Autor nicht antwortet, wird das Plugin-Team Ihnen wahrscheinlich Zugang gewähren. Sie werden wahrscheinlich Bedenken haben, Ihnen Zugang zu gewähren, wenn:

  • Du hast keine aktuellen Plugins (sie wollen nicht, dass du sie versohlst)
  • Das Plugin arbeitet immer noch mit der neuesten Version von WordPress
  • Das Plugin ist sehr beliebt

Ich würde das Plugin nicht übernehmen, ich würde einen SVN-Fork machen und die Pflege des Plugins selbst beginnen. Auf diese Weise gehört das Plugin nun Ihnen und Sie sind verantwortlich für alles vorwärts auf dem ersten SVN-Fork.

Der Umgang mit Altlasten (der Entwickler war nicht gut im Support, usw.) ist wahrscheinlich nicht die beste Lösung.

Was ist der korrekte process, um ein altes oder möglicherweise verlassenes Plugin aktuell zu halten?

Während sich die Dinge in der Zukunft immer ändern könnten (und einige Änderungen sind unvermeidlich, jetzt, da die Community anscheinend den Versuch unternommen hat, das Plugin-Repository aufzuräumen / zu verbessern), ist es derzeit der empfohlene Weg, das verlassene Plugin zu forken Sie können Ihre Gabel aktualisieren / warten.

Wenn Sie das Plugin nicht übernehmen können und am Ende entscheiden, das Plugin zu “forken”, denke ich, dass das auch eine gute Lösung ist. Ich denke, dass die Art und Weise wie Hikari Kategorie Permalinks aus sCategory gespalten ist, ein gutes Beispiel ist (zumindest denke ich, dass ich ein Plugin-Benutzer / WordPress-Webmaster bin, bin ich kein Plugin-Entwickler).

http://wordpress.org/extend/plugins/hikari-category-permalink/